#pragma once

#include "UdpVpn.hpp"

class UdpVpnClient: public UdpVpn {
    public:
        UdpVpnClient(const struct sockaddr_in6& server);

    protected:
        void set_server(const struct sockaddr_in6& server_addr);

        virtual void receive_from_tun();
        virtual void receive_from_udp();

        size_t write_to_server(const VpnPacket& packet);

        struct sockaddr_in6 _server_addr;
};
