#pragma once

#include <netinet/in.h>

struct IPv6Header {
    in6_addr source;
    in6_addr dest;
};

/** Parse an IPv6 header, filling `header`. Returns `true` on success. */
bool parse_ipv6_header(const char* data, size_t len, IPv6Header& header);
